For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Widget Purchase by ID

Get widget's purchase by Uuid

get

Get widget's purchase by Uuid

This endpoint is using WIDGET_API_KEY to get purchase by Uuid

Request

Headers

  • Authorization: Bearer {{WIDGET_API_KEY}}

Query Params

  • limit: number

  • offset: number

Response

  • Status: 200 OK

  • Content Type: application/json

Response Body

{
  "data": 
     {
        "id": string,
        "title": string,
        "subTitle": string,
        "siteName": string,
        "asset": Enum('USDT', 'USDC', 'ETH', 'MATIC','BNB', 'TRX', 'BTC'),
        "blockchain": Enum('ethereum', 'tron', 'binance-smart-chain', 'MATIC', 'bitcoin'),
        "address": string,
        "transaction": string[],
        "fiatAmount": number,
        "fiatCurrency": [
            Enum('USD', 'EUR')
         ],
        "currentDate": Date,
        "amount": number,
        "plannedAmount": number,
        "baseCurrencyAmount": number,
        "plannedBaseCurrencyAmount": number,
        "creationDate": Date,
        "allocationDate": Date,
        "expirationDate": Date,
        "status": ENUM('Allocated', 'Expired', 'Unconfirmed', 'Confirming', 'Completed', 'Overcharge', 'Undercharge', 'Failed', 'GenerateAddressFailed', 'Swept'),
        "widgetId": string,
        "redirectUrl": string,
        "confirmationAmount": number,
        "acceptPartialPayment": boolean,
        "widgetName": string,
        "sweepingStatus": <TBD>,
        "sweepingFee": <TBD>
        "merchantName": string,
        "redirectUrl": string,
        "widgetId": string,
        "purchaseIdentifier": string,
     }
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
Responseobject
get/v1/widget/purchase/e36bea7d-5685-4fdc-be66-1db73ce56c7c
GET /v1/widget/purchase/e36bea7d-5685-4fdc-be66-1db73ce56c7c HTTP/1.1
Host: {{base_url}}
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": {
    "id": "577f1edb-35fb-4836-b316-1bd545e9be08",
    "title": "F-16 Fighting Falcon",
    "subTitle": "Fighter aircraft",
    "siteName": "MySuperSite",
    "asset": "TRX",
    "blockchain": "tron",
    "address": "THGuLU7aQzULJoxStv3rkVH2DFhz64J9Z5",
    "transactions": [],
    "fiatAmount": 5,
    "fiatCurrency": "USD",
    "currentDate": "2025-05-14T06:01:15.028Z",
    "confirmationAmount": 20,
    "amount": 0,
    "plannedAmount": 20.247751,
    "baseCurrency": "USD",
    "baseCurrencyAmount": 0,
    "plannedBaseCurrencyAmount": 5.000362,
    "creationDate": "2025-04-29T08:44:31.372Z",
    "allocationDate": "2025-04-29T11:45:27.322Z",
    "expirationDate": "2025-04-29T11:46:27.322Z",
    "status": "Expired",
    "acceptPartialPayment": false,
    "widgetName": "MyFirstWidget",
    "sweepingStatus": "TBD",
    "sweepingFee": "TBD",
    "merchantName": "Merchant #1",
    "redirectUrl": "https://dev-merchant.aybabtu.xyz/",
    "widgetId": "903fea77-636c-477a-9692-d189b92b56bc",
    "purchaseIdentifier": "customer@gmail.com"
  }
}

Last updated